import Vue from 'vue'
import DataDict from '@/utils/dict'
import { getBasicDataSelect } from '@/api/dictionary/dictionary'

function install() {
  Vue.use(DataDict, {
    metas: {
      '*': {
        labelField: 'dictLabel',
        valueField: 'dictValue',
        request(dictMeta) {
          return getBasicDataSelect(dictMeta.type).then(res => res.Result)
        }
      }
    }
  })
}

export default {
  install
}
